Class Index | File Index

## Classes

- _global_
- M
- M.ActionSheetDialogView
- M.AlertDialogView
- M.Application
- M.Base64
- M.ButtonGroupView
- M.ButtonView
- M.ConfirmDialogView
- M.ContainerView
- M.Controller
- M.Cypher
- M.DataProvider
- M.Date
- M.DateValidator
- M.EmailValidator
- M.Environment
- M.EventDispatcher
- M.FormView
- M.GridView
- M.I18N
- M.ImageView
- M.LabelView
- M.ListItemView
- M.ListView
- M.LoaderView
- M.LocalStorageProvider
- M.Logger
- M.Math
- M.Model
- M.ModelAttribute
- M.ModelRegistry
- M.NotMinusValidator
- M.NumberValidator
- M.Object
- M.Observable
- M.PageView
- M.PhoneValidator
- M.PresenceValidator
- M.RecordManager
- M.RemoteStorageProvider
- M.Request
- M.ScrollView
- M.SearchBarView
- M.SelectionListItemView
- M.SelectionListView
- M.SHA256
- M.TabBarItemView
- M.TabBarView
- M.TextFieldView
- M.ToggleView
- M.ToolbarView
- M.UrlValidator
- M.Validator
- M.View
- M.ViewManager
- M.WebSqlProvider

# Class M.Cypher

Extends M.Object.
M.Cypher defines a prototype for handling decoding, encoding and hashing of string based values.
Defined in: cypher.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| M.Cypher()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| defaultDecoder The default decoder.
| defaultEncoder The default encoder.
| defaultHasher The default hash algorithm.
| type The type of this object.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| decode(input, algorithm) This method is the one that initiates the decoding of a given string, based on either the default decoder or a custom decoder.
| encode(input, algorithm) This method is the one that initiates the encoding of a given string, based on either the default encoder or a custom encoder.
| hash(input, algorithm) This method is the one that initiates the hashing of a given string, based on either the default hashing algorithm or a custom hashing algorithm.

Methods borrowed from class M.Object:
  bindToCaller, create, destroy, extend, get, include, set

Class Detail
M.Cypher()
Field Detail
{M.Base64} defaultDecoder
The default decoder.

{M.Base64} defaultEncoder
The default encoder.

{M.SHA256} defaultHasher
The default hash algorithm.

{String} type
The type of this object.
Method Detail
{String} decode(input, algorithm)
This method is the one that initiates the decoding of a given string, based on either the default decoder or a custom decoder.

Parameters:
{String} input
  The input string to be decoded.
{Object} algorithm
  The algorithm object containing a decode method.

Returns:
  {String} The decoded string.

{String} encode(input, algorithm)
This method is the one that initiates the encoding of a given string, based on either the default encoder or a custom encoder.

Parameters:
{String} input
  The input string to be decoded.
{Object} algorithm
  The algorithm object containing a encode method.

Returns:
  {String} The encoded string.

{String} hash(input, algorithm)
This method is the one that initiates the hashing of a given string, based on either the default hashing algorithm or a custom hashing algorithm.

Parameters:
{String} input
  The input string to be hashed.
{Object} algorithm
  The algorithm object containing a hash method.

Returns:
  {String} The hashed string.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Dec 08 2010 15:07:29 GMT+0100 (MEZ)